# Add-RASTOTPUsers

### NAME

Add-RASTOTPUsers\ <br>

### SYNOPSIS

Import TOTP users from a CSV file.\ <br>

### SYNTAX

Add-RASTOTPUsers -[FilePath](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASTOTPUsers.html#FilePath) *\<string>* \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASTOTPUsers.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASTOTPUsers.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Import TOTP users from a CSV file.\ <br>

### PARAMETERS

\
-**FilePath \<string>**\
File path to CSV containing user and secret.\
\
Must be in the format "user,secret".\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID in where the users will be imported.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Add-RASTOTPUsers -FilePath "users.csv"\
\
Imports TOTP users from file. Operation is done on licensing site.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Add-RASTOTPUsers -FilePath "users.csv" -SiteId 2\
\
Imports TOTP users from file. Operation is done on site 2.\ <br>

### RELATED LINKS

* [Find-RASTOTPUsers](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Find-RASTOTPUsers.html)
* [Reset-RASTOTPUsers](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Reset-RASTOTPUsers.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rastotpusers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
